Module
Inhoud
Index 🔎︎

# CInt-functie

Converteert elke tekenreeks of numerieke expressie naar een Integer.

## Syntaxis:

    CInt (Expressie)

## Teruggegeven waarde:

Integer

## Parameters:

Expressie: Elke numerieke expressie die moet worden geconverteerd. Als de Expressie groter is dan het waardebereik tussen -32768 en 32767 geeft LibreOffice BASIC een overloop-fout. Bij het converteren van een tekenreeks moet het getal worden ingevoerd als normale tekst ("123,5"). De getalopmaak wordt herkend volgens uw landinstellingen.

Deze functie rondt altijd het breukgedeelte van een getal af naar het naaste even getal.

## Foutcodes:

5 Ongeldige aanroep van procedure

## Voorbeeld:

    Sub ExampleCountryConvert

        MsgBox CDbl(1234.5678)

        MsgBox CInt(1234.5678)

        MsgBox CLng(1234.5678)

    End Sub